Bug 252822 - graphics/libyuv and graphics/libavif: update libyuv to 0.0.1770 to satisfy dependency for libavif
Summary: graphics/libyuv and graphics/libavif: update libyuv to 0.0.1770 to satisfy de...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-19 09:42 UTC by VVD
Modified: 2021-01-30 19:46 UTC (History)
3 users (show)

See Also:


Attachments
update libyuv to 0.0.1770 to satisfy dependency for libavif (v1) (2.11 KB, patch)
2021-01-19 09:42 UTC, VVD
no flags Details | Diff
update libyuv to 0.0.1770 to satisfy dependency for libavif (v2) (2.09 KB, patch)
2021-01-19 13:27 UTC, VVD
no flags Details | Diff
update libyuv to 0.0.1767 (Chromium Stable channel use this version) to satisfy dependency for libavif (v3) (2.09 KB, patch)
2021-01-28 12:36 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2021-01-19 09:42:48 UTC
Created attachment 221729 [details]
update libyuv to 0.0.1770 to satisfy dependency for libavif (v1)

Fixed this build error:
libavif-0.8.4_1 is marked as broken: libyuv >= 1755 is required, see https://chromium.googlesource.com/libyuv/libyuv/+/d426247a3bf6%5E!/

Tested on 12.2 amd64: make build/check-plist/install.
Comment 1 Jan Beich freebsd_committer 2021-01-19 11:38:23 UTC
Comment on attachment 221729 [details]
update libyuv to 0.0.1770 to satisfy dependency for libavif (v1)

graphics/libavif:
- BUILD_DEPENDS should be above LIB_DEPENDS
- RUN_DEPENDS isn't necessary when building against old dependency is prevented by BUILD_DEPENDS
Comment 2 VVD 2021-01-19 13:27:38 UTC
Created attachment 221738 [details]
update libyuv to 0.0.1770 to satisfy dependency for libavif (v2)

Fixed.

Don't forget about this note from graphics/libyuv/Makefile:
# sha256 changes everytime you download the archive, need to host it on freefall
# To download the distfile: as mikael: make MAINTAINER_MODE=yes fetch
Comment 3 VVD 2021-01-28 12:36:47 UTC
Created attachment 221989 [details]
update libyuv to 0.0.1767 (Chromium Stable channel use this version) to satisfy dependency for libavif (v3)

https://chromereleases.googleblog.com/search/label/Desktop%20Update
Both:
https://github.com/chromium/chromium/blob/88.0.4324.96/DEPS
https://github.com/chromium/chromium/blob/88.0.4324.104/DEPS
uses:
  'src/third_party/libyuv':
    Var('chromium_git') + '/libyuv/libyuv.git' + '@' + 'f014dbd87ab06258569ad10a4cb6f84a8a7f7dd2',  # from r1714
Comment 4 Tobias C. Berner freebsd_committer 2021-01-30 19:45:34 UTC
Committed, thanks.
Comment 5 commit-hook freebsd_committer 2021-01-30 19:46:04 UTC
A commit references this bug:

Author: tcberner
Date: Sat Jan 30 19:45:26 UTC 2021
New revision: 563434
URL: https://svnweb.freebsd.org/changeset/ports/563434

Log:
  graphics/libyuv: update to 0.0.1767

  - enable option in graphics/libavif

  PR:		252822
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/graphics/libavif/Makefile
  head/graphics/libyuv/Makefile
  head/graphics/libyuv/distinfo
  head/graphics/libyuv/pkg-plist